%{
//@auto=0
//@class index
%}
%class lex
%a 4000
%p 10000
%n 900
%e 2600
%o 10000
%{
#include <hush/grammar/lex.h>
#include "ctype.h"
int mycmp(char *s1, char *s2);
char *s,*strcpy();
char* tol(char*);
char buf[BUFSIZ];
#define scmp(X) (mycmp(X,s))
#define P(X) else if scmp(X) printf("%s\\index{%s}",yytext,X)
#define PR(N) printf("%s\\index{%s}",yytext+N+1,yytext+N+1)
#define XXXXPR(N) printf("%s\\index{%s}",yytext,yytext+N+1)
#define PRIN printf("%s\\index{%s}",yytext,yytext)
char* lastid;
char idbuf[BUFSIZ];
%}
x [A-Z]+
a [A-Za-z]+
b [A-Z][A-Za-z\-]+
key (id|slide|indexentry|label|ref|index|glossary|commentindex|paragraphindex|subparagraphindex)
medium ("xgraphics"|"xvideo"|"xaudio:")
acronym ("xMPEG:"|"xJPEG:"|"xVRML:"|"xAVI:"|"xGIF:")
concept ({acronym}|{medium})
%%
"["[A-Za-z][A-Za-z0-9\-]*"]" { ECHO; }
"\\item" ECHO;
"\\invan" { cout << "\\item van"; }
"\\fig".* ECHO;
"\\slide".* ECHO;
"\\eps".* ECHO;
"\\bibitem".* ECHO;
"\\zline".* ECHO;
"\\subitem".* ECHO;
"\\mark".* ECHO;
"\\paragraph".* ECHO;
"\\chapter".* ECHO;
"\\section".* ECHO;
"\\subsection".* ECHO;
"\\subsubsection".* ECHO;
"\\subsubitem".* ECHO;
\\"renew".* ECHO;
\\"new".* ECHO;
\\"def".* ECHO;
\\"implindex{" printf("\\index{prototype implementation! ");

\\"specialindex{".* { 
	char *idn();
	/*
	char *sp, buf[BUFSIZ];
	int b,nb=0;
	sp = yytext[9];
	*/
	printf("\\def\\zzzindex%s{%s\\index{\\zzzindex%s}",idn(), yytext+10, lastid);
	}
{concept} { printf("%s\\index{%s}",yytext,yytext); }


\\typeout.*\n ECHO;
\\{key}\{[^\}\n]*\} ECHO; 
\\{a} ECHO;
\\{a}"["{b} ECHO;
"["{x}"]" ECHO;
"[Node" ECHO;
"[BRANCH" ECHO;
"}["{b} ECHO;
"[Eli" ECHO;
"Hans van Vliet" { printf("HvV"); }
"[de "{b}[^\]\|\n]*"]" { yytext[yyleng-1]='\0'; PR(0); }
"[De "{b}[^\]\|\n]*"]" { yytext[yyleng-1]='\0'; PR(0); }
"[van "{b}[^\]\|\n]*"]" { yytext[yyleng-1]='\0'; PR(0); }
"["{b}[^\]\|\n]*"]"    { yytext[yyleng-1]='\0'; PR(0); }
"[Butler Cox"[^\]\|\n]*"]" { yytext[yyleng-1]='\0'; PR(0); }
\\\@{a} { printf("%s",yytext+2); }
\n { ECHO; }
. { ECHO; }

%%
//@ main
int main() {
lex l; l();
return 0;
}

char *tol(char *s)
{
char *p = s;
while (*s != '\0') { 
	if (isupper(*s)) *s = tolower(*s);
	s++;
	}
return(p);
}

int mycmp(char *s1, char *s2)
{
while (*s1 != '\0' && *s2 != '\0' && *s1 == tolower(*s2) ) { s1++; s2++; }
if (*s1 == '\0') return(1);
else return(0);
}



char* idn()
{
int i,n;
static int idno=0;
extern char *lastid;
char *ps = idbuf;
char* ph = idbuf;
idno += 1;
/* printf("%d\n",idno); */
for ( i=0; i <= idno; i++) {
	if ( (i % 5) == 0 ) *ps++ = 'x';
	else *ps++ = 'o';
	}
*ps='\0';
lastid=ph;
return ph;
}


