<document>
%%with-pdf with-wrl no-dlp
%%<c><p align=right><a href=@text-info.pdf>PDF</a></p></c>
<c>
/// <a href=focus.html><red>focus on multimedia</font></a>
</c>
<l>
/// http://www.cs.vu.nl/~eliens/multimedia/info.html
</l>
:@+ multimedia @ VU
<slide id=info-contact>
<include file=plain>
<c><p align=right><a href=guide.html><red>studyguide</red></a>
/ <a href=instroom.html>(pre-master) <red>instroom</red></a></p>
</c>
:@ contact
<display>
dr A. Eliens
//mailto:eliens@cs.vu.nl
Vrije Universiteit, FEW/Informatica, De Boelelaan 1081, 1081 HV Amsterdam
http://www.cs.vu.nl/~eliens/multimedia
</display>
<navigate/>
</slide>
\noindent
The multimedia-related curricula originated from research
and education in <url href=http://www.cs.vu.nl/~eliens/research/correspondences.html>software engineering</url>.
However, they have now obtained a more independent status.
For my qualifications in the area of multimedia, you
may inspect my <url href=http://www.cs.vu.nl/~eliens/cv/cv.html>CV</url>.

:@- curricula
The are two curricula in which multimedia topics play an important role:
<slide id=info-curricu>
/// curricula
<small>
<ul bullet=red>
<li> information science: <em>multimedia and culture</em> </li>
<li> <url href=http://www.cs.vu.nl/~eliens/multimedia/guide.html>computer science</url>: <em>multimedia / game development</em></li>
</ul>
</small>
<navigate/>
</slide>
\noindent
These curricula differ in their focus on respectively content
and technology development.


:@- principles/elements
In summary, our curricula cover:
<slide id=info-principl>
/// principles/elements
<small>
<ul bullet=red>
<li> exploratory design -- <em>advanced information systems, human-computer interfaces</em></li>
<li> multimedia technology -- <em>3D graphics, animation, games, virtual environments</em></li>
<li> scientific context -- <em>user evaluation, media theory, mathematics, logic, convergence, standards, retrieval</em></li>
</ul>
</small>
<navigate/>
</slide>
\noindent
Dependent on the individual interest and capabilities
of the student, these elements may have different weights.

:@- topics/projects
In the broad range of multimedia applications, we focus on:
<slide id=info-topics>
/// topics/projects
<ul bullet=red>
<li> multimedia information systems -- e.g. <url href=http://www.few.vu.nl/~dossier05>digital dossiers for cultural heritage</url></li>
<li> game development -- using 3D technology and game engine SDK's</li>
</ul>
<navigate/>
</slide>
\noindent
However, application domains such as video monitoring
and digital storytelling have also be touched upon.

<c-nonum>
<h3>
courses -- <em><url href=http://www.cs.vu.nl/~eliens/multimedia/courses.html>multimedia</url></em>
</h3>
The courses that I am responsible for are:
/// courses -- <em>multimedia</em>
<small>
<ul bullet=red>
<li> <a href=http://www.cs.vu.nl/~eliens/imm/index.html>introduction multimedia</a> -- convergence, standards, retrieval</li>
<li> <a href=http://www.cs.vu.nl/~eliens/mma/index.html>multimedia authoring</a> -- web3D/VRML</li>
<li> <a href=http://www.cs.vu.nl/~eliens/imt/index.html>intelligent multimedia technology</a> -- virtual environments</li>
%%<li> <a href=http://www.cs.vu.nl/~eliens/casus/index.html>multimedia casus </a>  -- digital artist's dossiers</li>
<li> <a href=http://www.cs.vu.nl/~eliens/design/index.html>visual design</a> -- house style and game design</li>
<li> <a href=http://www.cs.vu.nl/~eliens/projects/index.html>multimedia project(s)</a> -- individual assignments</li>
</ul>
</small>
<navigate/>
</slide>
\noindent
Due to institutional re-organisations, however,
changes may occur in the not so distant future.


:@- facilities/technology -- <em><a href=zaal.html>multimedia zaal</a></em>
Recently, the beginning of 2005,
a well-equipped multimedia practicum room has been realized,
with high performance computers, with double screens and
a powerful GPU, as well as a rich collection of software, including:
<slide id=info-facili>
/// facilities/technology -- <em><a href=zaal.html>multimedia zaal</a></em>
<small>
<ul bullet=red>
<li> VRML -- Blaxxun Contact 3D, Parallel Graphics VrmlPad </li>
<li> virtools -- http://www.virtools.com</li>
<li> Alias Maya Complete (5.0 &amp; 6.0) -- 10 floating licenses </li>
<li> 3D Studio Max 7 -- 15 floating licenses  </li>
<li> Adobe Photoshop CS,  Illustrator CS </li>
<li> DirectX9c SDK -- http://www.microsoft.com/directx</li>
<li> WildTangent WebDriver &amp; SDK -- http://www.wildtangent.com/developer</li>
<li> CG Toolkit -- http://developer.nvidia.com/page/tools.html</li>
<li> RenderMonkey &amp; SDK -- http://www.ati.com/developer/rendermonkey </li>
<li> Half Life 2 SDK -- http://www.valve-erc.com/srcsdk</li>
</ul>
</small>
<navigate/>
</slide>
\noindent
The <em>multimedia zaal</em> also has facilities for
projection, and a 5-1 surround sound system.

:@- research context  
/// <a href=note-work-06.html>report activities 2004-2006</a>

<slide id=x-mission>
<p>
Our mission statement is:
<quote><p>
<em>... to study aspects of the 
deployment and architecture of 
virtual environments as an interface to 
(intelligent) multimedia information systems</em>
/// http://www.cs.vu.nl/~eliens/research
</quote>
<lp>
As a follow up on our <em>intelligent multimedia</em> research,
in which we developed a platform for intelligent agents
in 3D virtual space,
we 
now focus on the use of
game technology for immersive serious applications, in particular:
<ul>
<li> digital dossiers in cultural heritage -- http://www.cs.vu.nl/~eliens/casus 
<li> game @ VU -- developing promotional games -- http://www.cs.vu.nl/~eliens/game 
<li> reality augmented presentation technology -- http://www.cs.vu.nl/~eliens/vip 
</ul>
This research is, at the moment of writing, still in its inceptive
and explorative phase, and primarily done in cooperation with students
as part of the regular multimedia courses or individual projects.
<br>
</slide>
\noindent
In the past we have investigated <em><url href=http://www.intelligent-multimedia.net>intelligent multimedia</url></em>.
Nowadays, our focus changed to high-performance multimedia,
and game applications using state-of-the-art game SDKs. 

:@- examples/demo(s)
A number of examples of student's work, as well as research
related demos, are available online:
<slide id=info-demo>
<small>
<ul bullet=red>
<li> <url href=http://www.cs.vu.nl/~eliens/web3d/demo.html>student practical work</url> -- infotainment, games, digital dossiers
<li> <url href=http://www.cs.vu.nl/~eliens/papers/demo.html>research-related</url> -- intelligent multimedia applications
<li> <url href=http://www.cs.vu.nl/~eliens/design/game.html>game development</url> -- preferably in cooperation with others
<li> <url href=http://www.virtualpoetry.tv>presentation technology</url> -- on request only
</ul>
</small>
<navigate/>
</slide>
\noindent
The more recent explorations of game technology are not
available online, but can be demonstrated on request.

:@- motivation/rationale
<slide id=-nfo-rationale>
/// http://www.cs.vu.nl/~eliens/media
<lp>
The <em>introduction multimedia</em> syllabus, entitled <a href=http://www.cs.vu.nl/~eliens/media>topical media</a> covers all the background material
and contains also a rationale of the educational and research
activities that fall under my supervision.
<navigate/>
</slide>

<lp>
<l>\mbox{}\vspace{2cm}
<lp>

<slide id=info-end>
/// A. Eliens, (1/6/05)
<navigate/>
</slide>
</document>
